SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000142SiT!otherpublic2008-08-03 16:042008-11-21 17:27
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.36 
Target Version3.40Fixed in Version3.40 
Summary0000142: link and image bbcode doesn't work
DescriptionIf you update an incident or kb article with bbcode (image or link) the link or included image dont appear correctly you get the following:

[url]www.bbc.co.uk[/url">http://www.bbc.co.uk[/url] [^]

[img]http://news.bbc.co.uk/1/hi/world/south_asia/7539509.stm[/img] [^]
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000113)
kieran (administrator)
2008-10-08 20:16

It seems other parsers have a problem with this too. We can either use the URL without the http:// which works fine or use them with quotation marks, any opinions? Also of note, the bbcode buttons don't allow this syntax so it's not that major.
User avatar (0000117)
paulh (administrator)
2008-10-19 15:15

r4047 resolves this, we dont expand hrefs any more

also ammended regex so anything without http:// gets this prepended i.e. www.bbc.co.uk becomes http://www.bbc.co.uk [^]

- Issue History
Date Modified Username Field Change
2008-08-03 16:04 paulh New Issue
2008-08-13 19:32 paulh Target Version => 3.40
2008-08-13 19:33 paulh Status new => confirmed
2008-10-08 20:16 kieran Note Added: 0000113
2008-10-08 20:43 kieran Status confirmed => feedback
2008-10-19 15:15 paulh Note Added: 0000117
2008-10-19 15:15 paulh Assigned To => paulh
2008-10-19 15:15 paulh Status feedback => resolved
2008-10-19 15:15 paulh Resolution open => fixed
2008-10-19 15:15 paulh Fixed in Version => 3.40
2008-11-21 17:27 kieran Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker